List delivery attempts
GET
/api/webhooks/{id}/deliveries
curl --request GET \ --url 'https://api.sipstack.com/api/webhooks/1/deliveries?page=1&limit=20' \ --header 'Authorization: Bearer <token>'import requests
url = "https://api.sipstack.com/api/webhooks/1/deliveries"
querystring = {"page":"1","limit":"20"}
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, params=querystring)
print(response.json())const url = 'https://api.sipstack.com/api/webhooks/1/deliveries?page=1&limit=20';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'GET', url: 'https://api.sipstack.com/api/webhooks/1/deliveries', params: {page: '1', limit: '20'}, headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Per-attempt delivery log (newest first) — event type, HTTP status, response time, attempt number.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer
Query Parameters
Section titled “Query Parameters ” page
integer
limit
integer
Responses
Section titled “ Responses ”Paginated delivery log.
Media type application/json
object
success
boolean
data
Array<object>
object
id
integer
uuid
string format: uuid
event_type
string
http_status
integer
response_time_ms
integer
attempt_number
1 = initial delivery; 2-3 = automatic retries (1 min / 5 min backoff).
integer
success
boolean
error_message
string
created_at
string format: date-time
pagination
object
page
integer
limit
integer
total
integer
totalPages
integer
Example
{ "data": [ { "event_type": "message.delivered", "http_status": 200 } ]}Endpoint not found in your organization.